package lttc.cn.centeen.controller;

import lttc.cn.centeen.entity.Review;
import lttc.cn.centeen.service.ReviewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;

/**
 * 功能描述
 * @author: scott
 * @date: 2024年07月17日 AM 8:06
 */

@RestController
@RequestMapping("/centtenAdvise")
public class centtenController {

    @Autowired
    private ReviewService reviewService;

    @PostMapping("/review")
    public void review( @RequestParam(required = false) List<MultipartFile> images,
                        @RequestParam String advice){
        System.out.println("advice："+advice);
        reviewService.addReview(images, advice);
    }
    /**
     * 查询评论
     * @return
     */
    @GetMapping("/queryReview")
    public List<Review> queryReview(){
        System.out.println("queryReview");
        return reviewService.queryReview();
    }

    @GetMapping("/deleteAdviceInfo")
    public void deleteAdviceInfo(@RequestParam String id){
        reviewService.deleteAdviceInfoById(id);
    }
}
